title = "Články"
url = "/aktuality/:page?"
layout = "default"
is_hidden = 0
meta_nofollow = 0

[blogPosts]
pageNumber = "{{ :page }}"
postsPerPage = 6
noPostsMessage = "Nenalezeny žádné příspěvky"
sortOrder = "published_at desc"
categoryPage = 400
postPage = "article"
==
<article>
    <div class="row">
        {% for post in posts %}
            <div class="col-4 col-6-medium col-12-small">
                <section class="box">
                    {% if post.featured_images.count %}
                        <a href="/{{ post.url }}" class="image featured"><img class="list-img" src="{{ post.featured_images.0.getThumb(700,500, {'mode': 'crop'}) }}" alt="{{ post.featured_images.0.description }}" /></a>
                    {% endif %}
                    <header>
                        <h3><a href="{{ post.url }}">{{ post.title }}</a></h3>
                    </header>
                    <p>{{ post.summary | raw }}</p>
                    <p>
                    {{ 'winter.blog::lang.post.posted_byline_no_categories' | trans({
                        date: post.published_at | date('winter.blog::lang.post.date_format' | trans)
                    }) }}
                    </p>

                    <footer>
                        <ul class="actions">
                            <li><a href="{{ post.url }}" class="button icon solid fa-file-alt">Zobrazit</a></li>
                        </ul>
                    </footer>
                </section>
            </div>
        {% else %}
            <h2>Žádné články</h2>
        {% endfor %}
    </div>

    {% if posts.lastPage > 1 %}
    <nav class="mt-5" aria-label="Stránky">
        <ul class="pagination">
            {% if posts.currentPage > 1 %}
                <li class="page-item">
                    <a class="page-link" href="{{ this.page.baseFileName | page({ (__SELF__.pageParam): (posts.currentPage-1) }) }}">&larr; Předchozí</a>
                </li>
            {% endif %}

            {% for page in 1..posts.lastPage %}
                <li class="page-item {{ posts.currentPage == page ? 'active' : null }}">
                    <a class="page-link" href="{{ this.page.baseFileName | page({ (__SELF__.pageParam): page }) }}">{{ page }}</a>
                </li>
            {% endfor %}

            {% if posts.lastPage > posts.currentPage %}
                <li class="page-item">
                <a class="page-link" href="{{ this.page.baseFileName | page({ (__SELF__.pageParam): (posts.currentPage+1) }) }}">Další &rarr;</a>
                </li>
            {% endif %}
        </ul>
    </nav>
    {% endif %}

</article>